Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QStyleOptionFocusRect Class Reference

The QStyleOptionFocusRect class is used to describe the parameters for drawing a focus rectangle with QStyle. More...

    #include <QStyleOptionFocusRect>

Inherits QStyleOption.

- List of all members, including inherited members

### Read-Only Properties

- backgroundColor : QColor

- 5 read-only properties inherited from QStyleOption

### Public Functions

- QStyleOptionFocusRect ()

- 1 public function inherited from QStyleOption

## Detailed Description

The QStyleOptionFocusRect class is used to describe the parameters for drawing a focus rectangle with QStyle.

## Property Documentation

### backgroundColor : QColor

This property holds the background color on which the focus rectangle is being drawn.

## Member Function Documentation

### QStyleOptionFocusRect::QStyleOptionFocusRect ()

Constructs a QStyleOptionFocusRect. The members variables are initialized to default values.